export default class WPRoute {
    constructor(wp) {
        Object.defineProperty(this, "wp", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: wp
        });
        Object.defineProperty(this, "fetch", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: (...args) => this.wp.bypassFetch(...args)
        });
        Object.defineProperty(this, "handler", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: async (route, routeRequest) => {
                const headers = routeRequest.allHeaders();
                const requestInit = {
                    method: routeRequest.method(),
                    body: routeRequest.postDataBlob(),
                    headers,
                    referrer: headers.referer,
                };
                const response = await this.fetch(new Request(routeRequest.url(), requestInit));
                await route.fulfill({ response });
            }
        });
    }
    async activate() {
        await this.wp.pageRoute('', this.handler);
    }
    async restore() {
        await this.wp.pageUnroute('', this.handler);
    }
}
//# sourceMappingURL=index.js.map